Is TE220 compatible with Asterisk 11.8.0

Is the Digium TE220 compatible with Asterisk 11.8.0, DAHDI 2.10.0 and LibPRI 1.4.15?

You can contact Digium Sales here: